function newdf = CubeRootTransform(df)
%function newdf = CubeRootTransform(df)
%
%Does the cuberoot transform of the response variable



df.captime = df.captime ^ (1/3);
df.traindata.response = df.traindata.response .^ (1/3);
df.testdata.response =  df.testdata.response .^ (1/3);

if ~isempty(df.validdata)
    df.validdata.response = df.validdata.response .^ (1/3);
end

df.backtransform = @BackCubeRootTransform;

newdf=df;

