function var = removeBadFeature(df,original_cond,A)
% remove the feature that makes the greatest improvement to the condition
% number of the matrix

global delta;

error(nargchk(3,3,nargin));

best_cond = -1e16;

% consider dropping each feature
for t=1:size(df.traindata.features,2)
	new_cond = klbcond(A(1:end~=t,1:end~=t));
	if (original_cond - new_cond > best_cond)
		best_cond = original_cond - new_cond;
		var = t;
	end
end
