function dataDiv(filename)
%function datadiv(filename)
%randomize data
%div data into three files with name as test train and valid
realname =[filename '.csv'];
trainname = [filename '-train' '.csv'];
testname = [filename '-test' '.csv'];
validname = [filename '-valid' '.csv'];

% all colume name from CVS file
allnames = textread(realname, '%s', 1, 'whitespace', '\n');
allnames = strread(allnames{1},'%s','whitespace',',');
allnames = deblank(allnames);

%random data
alldata= csvread(realname, 1, 0);
msize = size (alldata, 1);
alldata=[rand(msize,1),alldata];
[B,IX] = sort(alldata,1);
sortdata=alldata(IX(:,1),:);
alldata=sortdata(:,2:end);

%Divided into three parts
size15=round(msize*.15);
testdata=alldata(1:size15,:);
validdata=alldata((size15+1):(size15*2),:);
traindata=alldata((size15*2+1):end,:);

% write into three files
saveData(traindata, allnames, trainname);
saveData(testdata, allnames, testname);
saveData(validdata, allnames, validname);