function newdf=deleteLinearCorrelations(df,correlationCutoff)

% 	ctable = corr([ones(size(df.traindata.features,1),1) df.traindata.features]);
	ctable = abs(corr(df.traindata.features));
	keep_list = 1:size(df.traindata.features,2);
	for t=1:size(df.traindata.features,2)
		if (isempty(find(keep_list==t)))
			continue;
		end
		for tt=t+1:size(df.traindata.features,2)
			if (isempty(find(keep_list==tt)))
				continue;
			end
			if (ctable(t,tt) > correlationCutoff)
%				display(sprintf('Feature %s is correlated at %.3f with %s: deleted.',char(df.featurenames(t)),ctable(t,tt),char(df.featurenames(tt))));
				keep_list = keep_list(:,1:end~=find(keep_list==tt));
			end
		end
	end
	display(sprintf('    Deleted %d features correlated at a level above %f',size(df.traindata.features,2)-size(keep_list,2),correlationCutoff));
	newdf = projectDF(df,keep_list);
end