function increaseDeltaIfIllConditioned(df,cutoff)

	global delta;

	TrainM = [df.traindata.features ones(size(df.traindata.features,1),1)];
	A = TrainM' * TrainM + delta * eye(size(TrainM,2));
	clear TrainM;
	new_cond = klbcond(A);
	while (new_cond > cutoff)
		A = A + delta * eye(size(A,2));
		delta = 2*delta;
		old_cond = new_cond;
		new_cond = klbcond(A);
		display(sprintf('    Doubled delta to %.2g: condition went from %.2g to %.2g',delta,old_cond,new_cond));
	end
	clear A;
end